Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerPortletInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerPortletInfo

All Implemented Interfaces:
  PortletInfo

    public class ContainerPortletInfo

extends java.lang.Object
implements PortletInfo

For now implementation that use the portlet container directly.

Version:
  $Revision: 7242 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`protected` | `ContainerPortletInfo(ContainerCapabilitiesInfo capabilities, ContainerPreferencesInfo preferences, ContainerMetaInfo meta, ContainerSecurityInfo security, ContainerCacheInfo cache, ContainerEventingInfo events, ContainerNavigationInfo navigation, java.util.List<java.lang.String> filterRefs, java.lang.String name, java.lang.String applicationName, java.lang.String className, java.util.Map<java.lang.String,java.lang.String> initParameters, java.lang.Boolean remotable, org.jboss.portal.common.i18n.ResourceBundleManager bundleManager, java.util.Map<java.lang.String,ContainerOptionInfo> options)`
`` | `ContainerPortletInfo(ContainerCapabilitiesInfo capabilities, ContainerPreferencesInfo preferences, ContainerMetaInfo meta, ContainerSecurityInfo security, ContainerCacheInfo cache, java.lang.String name, java.lang.String className, java.lang.String applicationName, java.util.Map<java.lang.String,java.lang.String> initParameters, org.jboss.portal.common.i18n.ResourceBundleManager bundleManager)`

Method Summary
`java.lang.String` | `getApplicationName()` Returns the portlet application name.
`
`<T> T`
` | `getAttachment(java.lang.Class<T> type)` Returns a generic attachment on the portlet info.
`org.jboss.portal.common.i18n.ResourceBundleManager` | `getBundleManager()`
`ContainerCacheInfo` | `getCache()` Retrieves caching-related information for the described portlet.
`ContainerCapabilitiesInfo` | `getCapabilities()` Retrieves the capabilities of supported by the described portlet.
`java.lang.String` | `getClassName()`
`ContainerEventingInfo` | `getEventing()` Return the eventing information.
`java.util.List<java.lang.String>` | `getFilterRefs()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Set<java.lang.String>` | `getInitParameterNames()`
`java.util.Map<java.lang.String,java.lang.String>` | `getInitParameters()`
`ContainerMetaInfo` | `getMeta()` Retrieves the portlet description (title, keywords, etc).
`java.lang.String` | `getName()` Returns the portlet name.
`ContainerNavigationInfo` | `getNavigation()` Returns the navigation information.
`java.util.Map<java.lang.String,ContainerOptionInfo>` | `getOptions()`
`ContainerPreferencesInfo` | `getPreferences()` Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.
`ContainerSecurityInfo` | `getSecurity()` Retrieves the security information for the described portlet.
`
`<T> void`
` | `setAttachment(java.lang.Class<T> type, T object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerPortletInfo

    public ContainerPortletInfo(ContainerCapabilitiesInfo capabilities,
                                ContainerPreferencesInfo preferences,
                                ContainerMetaInfo meta,
                                ContainerSecurityInfo security,
                                ContainerCacheInfo cache,
                                java.lang.String name,
                                java.lang.String className,
                                java.lang.String applicationName,
                                java.util.Map<java.lang.String,java.lang.String> initParameters,
                                org.jboss.portal.common.i18n.ResourceBundleManager bundleManager)

### ContainerPortletInfo

    protected ContainerPortletInfo(ContainerCapabilitiesInfo capabilities,
                                   ContainerPreferencesInfo preferences,
                                   ContainerMetaInfo meta,
                                   ContainerSecurityInfo security,
                                   ContainerCacheInfo cache,
                                   ContainerEventingInfo events,
                                   ContainerNavigationInfo navigation,
                                   java.util.List<java.lang.String> filterRefs,
                                   java.lang.String name,
                                   java.lang.String applicationName,
                                   java.lang.String className,
                                   java.util.Map<java.lang.String,java.lang.String> initParameters,
                                   java.lang.Boolean remotable,
                                   org.jboss.portal.common.i18n.ResourceBundleManager bundleManager,
                                   java.util.Map<java.lang.String,ContainerOptionInfo> options)

Method Detail

### getAttachment

    public <T> T getAttachment(java.lang.Class<T> type)

  Description copied from interface: `PortletInfo`
  Returns a generic attachment on the portlet info.

  Specified by:
    `getAttachment` in interface `PortletInfo`
  Parameters:
    `type` - the parameter type
  Returns:
    the attachment or null

### setAttachment

    public <T> void setAttachment(java.lang.Class<T> type,
                                  T object)

### getName

    public java.lang.String getName()

  Description copied from interface: `PortletInfo`
  Returns the portlet name.

  Specified by:
    `getName` in interface `PortletInfo`
  Returns:
    the portlet name

### getApplicationName

    public java.lang.String getApplicationName()

  Description copied from interface: `PortletInfo`
  Returns the portlet application name.

  Specified by:
    `getApplicationName` in interface `PortletInfo`
  Returns:
    the portlet application name

### getOptions

    public java.util.Map<java.lang.String,ContainerOptionInfo> getOptions()

### getBundleManager

    public org.jboss.portal.common.i18n.ResourceBundleManager getBundleManager()

### getClassName

    public java.lang.String getClassName()

### getInitParameterNames

    public java.util.Set<java.lang.String> getInitParameterNames()

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

### getInitParameters

    public java.util.Map<java.lang.String,java.lang.String> getInitParameters()

### getFilterRefs

    public java.util.List<java.lang.String> getFilterRefs()

### getCapabilities

    public ContainerCapabilitiesInfo getCapabilities()

  Description copied from interface: `PortletInfo`
  Retrieves the capabilities of supported by the described portlet.

  Specified by:
    `getCapabilities` in interface `PortletInfo`
  Returns:
    the capabilities of the portlet

### getPreferences

    public ContainerPreferencesInfo getPreferences()

  Description copied from interface: `PortletInfo`
  Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.

  Specified by:
    `getPreferences` in interface `PortletInfo`
  Returns:
    the preferences meta data of the portlet

### getMeta

    public ContainerMetaInfo getMeta()

  Description copied from interface: `PortletInfo`
  Retrieves the portlet description (title, keywords, etc).

  Specified by:
    `getMeta` in interface `PortletInfo`
  Returns:
    the portlet description

### getSecurity

    public ContainerSecurityInfo getSecurity()

  Description copied from interface: `PortletInfo`
  Retrieves the security information for the described portlet.

  Specified by:
    `getSecurity` in interface `PortletInfo`
  Returns:
    the security information

### getCache

    public ContainerCacheInfo getCache()

  Description copied from interface: `PortletInfo`
  Retrieves caching-related information for the described portlet.

  Specified by:
    `getCache` in interface `PortletInfo`
  Returns:
    the caching related information

### getEventing

    public ContainerEventingInfo getEventing()

  Description copied from interface: `PortletInfo`
  Return the eventing information.

  Specified by:
    `getEventing` in interface `PortletInfo`
  Returns:
    the eventing information

### getNavigation

    public ContainerNavigationInfo getNavigation()

  Description copied from interface: `PortletInfo`
  Returns the navigation information.

  Specified by:
    `getNavigation` in interface `PortletInfo`
  Returns:
    the navigation information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.